---
title: Document.height
slug: Web/API/Document/height
tags:
  - API
  - Document
  - HTML DOM
  - NeedsMarkupWork
  - NeedsSpecTable
  - Obsolete
  - Property
  - Reference
---
<div>{{APIRef("DOM")}} {{Obsolete_header}}</div>

<div class="note">
<p><strong>Note:</strong> Starting in {{Gecko("6.0")}}, <code>document.height</code> is no longer supported. Instead, use <code>document.body.clientHeight</code>. See {{domxref("element.clientHeight")}}.</p>
</div>

<p>Returns the height of the {{domxref("document")}} object. In most cases, this is equal to the {{HTMLElement("body")}} element of the current document.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var>pixels</var> = document.height
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">// alert document height
alert(document.height);
</pre>

<h2 id="Alternatives">Alternatives</h2>

<pre class="syntaxbox">document.body.clientHeight
document.documentElement.clientHeight
document.documentElement.scrollHeight
</pre>

<h2 id="Specifications">Specifications</h2>

<p>HTML5</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.height")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("document.width")}}</li>
 <li>{{domxref("Element.clientHeight")}}</li>
 <li>{{domxref("Element.scrollHeight")}}</li>
</ul>
